import { http } from '../request/request'

/**
 * 家长绑定的孩子
 * @param params 请求参数
 */
export const getParentBindChildApi = async (params: any) =>
  await http.get<any>('/parentBindChild/list', params)

/**
 * 家长绑定的设备
 * @param params 请求参数
 */
export const getParentBindDeviceApi = async (params: any) =>
  await http.get<any>('/parentBindDevice/list', params)

/**
 * 我的孩子-绑定的家长
 * @param params 请求参数
 */
export const parentBindChildApi = async (id: string) =>
  await http.get<any>(`/parentBindChild/${id}`)

/**
 * 我的孩子-解除绑定家长
 * @param params 请求参数
 */
export const childUnBoundParentApi = async (data: any) =>
  await http.post<any>('/parentBindChild/unBound', data)

/**
 * 我的设备-解除绑定
 * @param params 请求参数
 */
export const parentUnBoundDeviceApi = async (data: any) =>
  await http.post<any>('/parentBindDevice/unBound', data)

/**
 * 我的设备-当前登录
 * @param params 请求参数
 */
export const parentDeviceCurrentLoginApi = async (id: string) =>
  await http.get<any>(`/parentBindDevice/${id}`)

/**
 * 设备管理-绑定申请列表
 * @param params 请求参数
 */
export const applyBindInfoListApi = async () =>
  await http.get<any>('/parentBind/applyInfoList')

/**
 * 设备管理-当前登录用户是否管理员
 * @param params 请求参数
 */
export const userInfoPermitApi = async () =>
  await http.get<any>('/parentBind/applyInfoPermit')
